Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988199 - Documentation bug: JBoss Data Grid parameter description of cache-container is ambiguous.
Summary: Documentation bug: JBoss Data Grid parameter description of cache-container i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.1.0
Hardware: All
OS: All
unspecified
low
Target Milestone: ER2
: 6.2.0
Assignee: Mandar Joshi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-25 05:26 UTC by Kenjiro Nakayama
Modified: 2015-09-01 02:58 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-07 22:49:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Kenjiro Nakayama 2013-07-25 05:26:44 UTC
Document URL: 

https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html/Administration_and_Configuration_Guide/Configure_Local_Mode.html


Section Number and Name: 

JBoss Data Grid 6.1
Administration and Configuration Guide
4.3.2. Configure Local Mode (Remote Client-Server Mode)


Describe the issue: 

Parameter description of cache-container is ambiguous. Local cache can set the parameter about when cache container starts, but the document just says "whether it will start lazily when requested or when the server starts up." only. As "When reqested" means "LAZY" and "when the server starts up" means "EAGER", it should be clear.


Suggestions for improvement: 

[before]
 The start parameter indicates where the cache starts, i.e. whether it will start lazily when requested or when the server starts up. Valid values for this parameter are EAGER and LAZY. 

[after] 
 The start parameter indicates when the cache container starts, i.e. whether it will start lazily when requested or "eagerly" when the server starts up. Valid values for this parameter are EAGER and LAZY. 


Additional information: 

None

Comment 1 Misha H. Ali 2013-07-25 05:29:26 UTC
Thank you knakayama. I've change the reported version of this to 6.1 as the older versions will not be updated unless there is a critical issue or is requested by PM.

Comment 3 Mandar Joshi 2013-08-07 12:01:04 UTC
Updated topic: 
7.2.1. Configure Local Mode (Remote Client-Server Mode)

Made the changes as suggested in description.

Comment 5 Misha H. Ali 2013-08-28 00:24:55 UTC
brewed

Comment 9 Misha H. Ali 2013-09-20 00:00:50 UTC
As long as the changes are there, the bug is ready to be ON_QA.

The revision history must have been added after the changes were made and a brew was requested.

Comment 11 Misha H. Ali 2013-11-07 22:49:45 UTC
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/


Note You need to log in before you can comment on or make changes to this bug.